curl --request POST \
--url https://api.casexchange.com/api/public/v1/sent-cases \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"title": "<string>",
"caseType": "<string>",
"jurisdiction": "<string>",
"clientFirstName": "<string>",
"clientLastName": "<string>",
"description": "<string>",
"county": "<string>",
"clientEmail": "jsmith@example.com",
"clientPhone": "<string>",
"clientDateOfBirth": "2023-12-25",
"incidentDate": "2023-12-25",
"tier": 3,
"source": "<string>",
"notes": "<string>",
"referentFirmId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"routingRuleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"roundRobinPosition": 1,
"isRetainerSigned": false,
"salesforceId": "<string>",
"salesforceObjectType": "<string>",
"externalId": "<string>"
}
'import requests
url = "https://api.casexchange.com/api/public/v1/sent-cases"
payload = {
"title": "<string>",
"caseType": "<string>",
"jurisdiction": "<string>",
"clientFirstName": "<string>",
"clientLastName": "<string>",
"description": "<string>",
"county": "<string>",
"clientEmail": "jsmith@example.com",
"clientPhone": "<string>",
"clientDateOfBirth": "2023-12-25",
"incidentDate": "2023-12-25",
"tier": 3,
"source": "<string>",
"notes": "<string>",
"referentFirmId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"routingRuleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"roundRobinPosition": 1,
"isRetainerSigned": False,
"salesforceId": "<string>",
"salesforceObjectType": "<string>",
"externalId": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
caseType: '<string>',
jurisdiction: '<string>',
clientFirstName: '<string>',
clientLastName: '<string>',
description: '<string>',
county: '<string>',
clientEmail: 'jsmith@example.com',
clientPhone: '<string>',
clientDateOfBirth: '2023-12-25',
incidentDate: '2023-12-25',
tier: 3,
source: '<string>',
notes: '<string>',
referentFirmId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
routingRuleId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
roundRobinPosition: 1,
isRetainerSigned: false,
salesforceId: '<string>',
salesforceObjectType: '<string>',
externalId: '<string>'
})
};
fetch('https://api.casexchange.com/api/public/v1/sent-cases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"referenceNumber": "ABC-0001",
"salesforceId": "<string>",
"salesforceObjectType": "<string>",
"title": "<string>",
"description": "<string>",
"caseType": "<string>",
"jurisdiction": "<string>",
"county": "<string>",
"clientAddress1": "<string>",
"clientAddress2": "<string>",
"clientCity": "<string>",
"clientPostalCode": "<string>",
"clientFirstName": "<string>",
"clientLastName": "<string>",
"clientEmail": "jsmith@example.com",
"clientPhone": "<string>",
"clientDateOfBirth": "2023-11-07T05:31:56Z",
"incidentDate": "2023-11-07T05:31:56Z",
"tier": 3,
"ratedTier": 3,
"ratingNotes": "<string>",
"source": "<string>",
"isTestCase": true,
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"status": "<string>",
"closingStatus": "won_settled",
"payoutType": "lump_sum",
"closureReason": "<string>",
"settlementAmount": 500000000,
"attorneyFees": 500000000,
"clientFeeAgreementPercentage": 0.5,
"projectedSettlementAmount": 500000000,
"estimatedDateOfResolution": "2023-11-07T05:31:56Z",
"estimatedDistributionDate": "2023-11-07T05:31:56Z",
"leadAttorneyName": "<string>",
"warmTransferSuccessful": true,
"warmTransferUnsuccessfulReason": "<string>",
"warmTransferUnsuccessfulReasonType": "FIRM_UNABLE_TO_ANSWER",
"netFeeToSendingFirm": 123,
"netFeeToHandlingFirm": 123,
"resolutionDate": "2023-11-07T05:31:56Z",
"closedDate": "2023-11-07T05:31:56Z",
"statuteOfLimitationsExpiration": "2023-11-07T05:31:56Z",
"phase": "<string>",
"requiresUpdate": true,
"customFields": [
{
"fieldId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fieldName": "<string>",
"displayName": "<string>",
"fieldType": "<string>",
"value": "<string>"
}
],
"referrals": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"referentFirmId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"referentFirmName": "<string>",
"status": "<string>",
"closingStatus": "won_settled",
"payoutType": "lump_sum",
"closureReason": "<string>",
"settlementAmount": 500000000,
"attorneyFees": 500000000,
"clientFeeAgreementPercentage": 0.5,
"projectedSettlementAmount": 500000000,
"estimatedDateOfResolution": "2023-11-07T05:31:56Z",
"estimatedDistributionDate": "2023-11-07T05:31:56Z",
"leadAttorneyName": "<string>",
"netFeeToSendingFirm": 123,
"netFeeToHandlingFirm": 123,
"resolutionDate": "2023-11-07T05:31:56Z",
"closedDate": "2023-11-07T05:31:56Z",
"notes": "<string>",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lastUpdatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
},
"meta": {
"requestId": "req_f2dbe1d3f6ad4a7bb5b4c9f2",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"requestId": "req_f2dbe1d3f6ad4a7bb5b4c9f2",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"requestId": "req_f2dbe1d3f6ad4a7bb5b4c9f2",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"requestId": "req_f2dbe1d3f6ad4a7bb5b4c9f2",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"requestId": "req_f2dbe1d3f6ad4a7bb5b4c9f2",
"timestamp": "2023-11-07T05:31:56Z"
}
}Create a sent case
Creates a case owned by the caller’s firm. If referentFirmId is provided the case is SENT; otherwise it is created as a DRAFT. Pass routingRuleId + roundRobinPosition (from GET /routing/evaluate) to advance the round-robin pointer. Requires STANDARD tier.
Authorizations
Public API key: cxp_<hex> (firm-scoped) or cxpp_<hex> (provider-scoped). Required on every request.
Body
111111 <= x <= 5Receiving firm. Omit to create a DRAFT.
Optional. Routing rule this send was chosen from (from GET /routing/evaluate). Ignored (with a server-side warning) if it is not a live rule owned by your firm.
Optional. The roundRobinPosition from GET /routing/evaluate. Requires routingRuleId; advances the rule's round-robin pointer when the selected slot is a first-look slot (its attempt window includes attempt 1); re-look-only slots leave the pointer unchanged.
x >= 0cloudlex, morgan_morgan 
